Bug 1217821 - All sat6 services are set to start on runlevel 2 in EL6 environments
Summary: All sat6 services are set to start on runlevel 2 in EL6 environments
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks: sat61-release-notes
TreeView+ depends on / blocked
 
Reported: 2015-05-01 19:14 UTC by Brian Bouterse
Modified: 2019-07-11 09:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-09 17:31:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 16912 None None None 2016-10-13 16:00:07 UTC

Description Brian Bouterse 2015-05-01 19:14:53 UTC
Description of problem:

In EL6 environments, when you list chkconfig info for the system you'll see the  foreman/katello/pulp services are all set to start at runlevel 2. Network doesn't start until runlevel 3, so I expect all services to be off for runlevels 0,1,2,6 and on for 3,4,5. Here is the current output from a sat 6.1 QA box:

$>sudo chkconfig --list
atd             0:off   1:off   2:off   3:on    4:on    5:on    6:off
auditd          0:off   1:off   2:on    3:on    4:on    5:on    6:off
autofs          0:off   1:off   2:off   3:on    4:on    5:on    6:off
blk-availability        0:off   1:on    2:on    3:on    4:on    5:on    6:off
certmonger      0:off   1:off   2:on    3:on    4:on    5:on    6:off
cgconfig        0:off   1:off   2:off   3:off   4:off   5:off   6:off
cgred           0:off   1:off   2:off   3:off   4:off   5:off   6:off
crond           0:off   1:off   2:on    3:on    4:on    5:on    6:off
dhcpd           0:off   1:off   2:on    3:on    4:on    5:on    6:off
dhcpd6          0:off   1:off   2:off   3:off   4:off   5:off   6:off
dhcrelay        0:off   1:off   2:off   3:off   4:off   5:off   6:off
dhcrelay6       0:off   1:off   2:off   3:off   4:off   5:off   6:off
elasticsearch   0:off   1:off   2:on    3:on    4:on    5:on    6:off
foreman         0:off   1:off   2:off   3:off   4:off   5:off   6:off
foreman-proxy   0:off   1:off   2:on    3:on    4:on    5:on    6:off
foreman-tasks   0:off   1:off   2:on    3:on    4:on    5:on    6:off
haldaemon       0:off   1:off   2:off   3:on    4:on    5:on    6:off
htcacheclean    0:off   1:off   2:off   3:off   4:off   5:off   6:off
httpd           0:off   1:off   2:on    3:on    4:on    5:on    6:off
ip6tables       0:off   1:off   2:on    3:on    4:on    5:on    6:off
ipmi            0:off   1:off   2:off   3:off   4:off   5:off   6:off
ipmievd         0:off   1:off   2:off   3:off   4:off   5:off   6:off
iptables        0:off   1:off   2:off   3:off   4:off   5:off   6:off
ktune           0:off   1:off   2:off   3:on    4:on    5:on    6:off
libvirt-guests  0:off   1:off   2:on    3:on    4:on    5:on    6:off
lvm2-monitor    0:off   1:on    2:on    3:on    4:on    5:on    6:off
messagebus      0:off   1:off   2:on    3:on    4:on    5:on    6:off
mongod          0:off   1:off   2:on    3:on    4:on    5:on    6:off
netconsole      0:off   1:off   2:off   3:off   4:off   5:off   6:off
netfs           0:off   1:off   2:off   3:on    4:on    5:on    6:off
network         0:off   1:off   2:on    3:on    4:on    5:on    6:off
nfs             0:off   1:off   2:off   3:off   4:off   5:off   6:off
nfslock         0:off   1:off   2:off   3:on    4:on    5:on    6:off
ntpd            0:off   1:off   2:on    3:on    4:on    5:on    6:off
ntpdate         0:off   1:off   2:off   3:off   4:off   5:off   6:off
oddjobd         0:off   1:off   2:off   3:off   4:off   5:off   6:off
ovirt-guest-agent       0:off   1:off   2:on    3:on    4:on    5:on    6:off
portreserve     0:off   1:off   2:on    3:on    4:on    5:on    6:off
postfix         0:off   1:off   2:on    3:on    4:on    5:on    6:off
postgresql      0:off   1:off   2:on    3:on    4:on    5:on    6:off
pulp_celerybeat 0:off   1:off   2:on    3:on    4:on    5:on    6:off
pulp_resource_manager   0:off   1:off   2:on    3:on    4:on    5:on    6:off
pulp_workers    0:off   1:off   2:on    3:on    4:on    5:on    6:off
puppet          0:off   1:off   2:on    3:on    4:on    5:on    6:off
puppetmaster    0:off   1:off   2:off   3:off   4:off   5:off   6:off
qemu-ga         0:off   1:off   2:on    3:on    4:on    5:on    6:off
qpidd           0:off   1:off   2:on    3:on    4:on    5:on    6:off
rdisc           0:off   1:off   2:off   3:off   4:off   5:off   6:off
restorecond     0:off   1:off   2:off   3:off   4:off   5:off   6:off
rhnsd           0:off   1:off   2:on    3:on    4:on    5:on    6:off
rhsmcertd       0:off   1:off   2:off   3:on    4:on    5:on    6:off
rpcbind         0:off   1:off   2:on    3:on    4:on    5:on    6:off
rpcgssd         0:off   1:off   2:off   3:on    4:on    5:on    6:off
rpcsvcgssd      0:off   1:off   2:off   3:off   4:off   5:off   6:off
rsyslog         0:off   1:off   2:on    3:on    4:on    5:on    6:off
saslauthd       0:off   1:off   2:off   3:off   4:off   5:off   6:off
sshd            0:off   1:off   2:on    3:on    4:on    5:on    6:off
sssd            0:off   1:off   2:on    3:on    4:on    5:on    6:off
tomcat6         0:off   1:off   2:on    3:on    4:on    5:on    6:off
tuned           0:off   1:off   2:off   3:on    4:on    5:on    6:off
udev-post       0:off   1:on    2:on    3:on    4:on    5:on    6:off
xinetd          0:off   1:off   2:off   3:on    4:on    5:on    6:off

xinetd based services:
        chargen-dgram:  off
        chargen-stream: off
        daytime-dgram:  off
        daytime-stream: off
        discard-dgram:  off
        discard-stream: off
        echo-dgram:     off
        echo-stream:    off
        rsync:          off
        tcpmux-server:  off
        tftp:           on
        time-dgram:     off
        time-stream:    off


Version-Release number of selected component (if applicable): 6.0.z


How reproducible:
Always


Steps to Reproduce:
1) Install Sat6 on EL6
2) list chkconfig output with `sudo chkconfig --list`
3) Observe the foreman/pulp/katello services are all enabled for runlevel 2


Actual results:

Observe a line like this one for all sat6 services

pulp_workers    0:off   1:off   2:on    3:on    4:on    5:on    6:off


Expected results:

I expected it to look the way Pulp upstream looks on EL6. In Pulp upstream I can do:
0) a fresh pulp install on EL6
1) I add pulp_workers to chkconfig using `sudo chkconfig --add pulp_workers`
2) I then list the chkconfig services `sudo chkconfig --list`
3) observe the correct line is there:

pulp_workers    0:off   1:off   2:off   3:on    4:on    5:on    6:off 


Additional info:

This was discovered on a customer case where there system wouldn't boot because sat6 services were being started before networking and were preventing the systsem to boot. So there's been at least 1 customer issue related to this problem.

Also I suspect it works in many places today because many init scripts have a Required-Start line like this one:

# Required-Start:    $network

$network can be redefined, and if it is it could cause satellite 6 services on misconfigured machines to start before networking does which caused sat6 to break on the customer case.

This seems to be getting set by this line in the installer:  https://github.com/Katello/katello-installer/blob/master/modules/mongodb/manifests/server/service.pp

Comment 1 RHEL Product and Program Management 2015-05-01 19:23:15 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 4 Bryan Kearney 2016-07-26 15:25:24 UTC
Moving 6.2 bugs out to sat-backlog.

Comment 5 Bryan Kearney 2016-07-26 15:46:06 UTC
Moving 6.2 bugs out to sat-backlog.

Comment 7 Stephen Benjamin 2016-10-13 16:00:04 UTC
Created redmine issue http://projects.theforeman.org/issues/16912 from this bug

Comment 8 Bryan Kearney 2017-02-09 17:31:19 UTC
I do not expect to see this bug fixed in the near future. The installs on RHEL6 are stable, and this does not warrant fixing that.


Note You need to log in before you can comment on or make changes to this bug.